<?php

namespace Drupal\commerce_favorites\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Defines the interface for favorites types.
 */
interface FavoritesTypeInterface extends ConfigEntityInterface {

  /**
   * Gets whether the favorites item type allows anonymous favorites_lists.
   *
   * @return bool
   *   TRUE if anonymous favorites_lists are allowed, FALSE otherwise.
   */
  public function isAllowAnonymous();

  /**
   * Sets whether the favorites item type allows anonymous favorites_lists.
   *
   * @param bool $allow_anonymous
   *   Whether the favorites item type allows anonymous favorites_lists.
   *
   * @return $this
   */
  public function setAllowAnonymous($allow_anonymous);

}
