<?php

namespace Drupal\commerce_favorites\Event;

use Drupal\commerce\EventBase;
use Drupal\commerce_favorites\Entity\FavoritesInterface;

/**
 * Defines the favorites event.
 *
 * @see \Drupal\commerce_favorites\Event\FavoritesEvents
 */
class FavoritesEvent extends EventBase {

  /**
   * The favorites.
   *
   * @var \Drupal\commerce_favorites\Entity\FavoritesInterface
   */
  protected $favorites;

  /**
   * Constructs a new FavoritesEvent object.
   *
   * @param \Drupal\commerce_favorites\Entity\FavoritesInterface $favorites
   *   The favorites.
   */
  public function __construct(FavoritesInterface $favorites) {
    $this->favorites = $favorites;
  }

  /**
   * Gets the favorites.
   *
   * @return \Drupal\commerce_favorites\Entity\FavoritesInterface
   *   Gets the favorites.
   */
  public function getFavorites() {
    return $this->favorites;
  }

}
