<?php

namespace Drupal\commerce_favorites\Event;

use Drupal\commerce\EventBase;
use Drupal\commerce_favorites\Entity\FavoritesItemInterface;

/**
 * Defines the favorites item event.
 *
 * @see \Drupal\commerce_favorites\Event\FavoritesEvents
 */
class FavoritesItemEvent extends EventBase {

  /**
   * The favorites item.
   *
   * @var \Drupal\commerce_favorites\Entity\FavoritesInterface
   */
  protected $favoritesItem;

  /**
   * Constructs a new FavoritesItemEvent object.
   *
   * @param \Drupal\commerce_favorites\Entity\FavoritesItemInterface $favorites_item
   *   The favorites item.
   */
  public function __construct(FavoritesItemInterface $favorites_item) {
    $this->favoritesItem = $favorites_item;
  }

  /**
   * Gets the favorites item.
   *
   * @return \Drupal\commerce_favorites\Entity\FavoritesItemInterface
   *   Gets the favorites item.
   */
  public function getFavoritesItem() {
    return $this->favoritesItem;
  }

}
