<?php

namespace Drupal\commerce_favorites;

use Drupal\commerce_favorites\Entity\FavoritesInterface;
use Drupal\user\UserInterface;

/**
 * Handles assigning anonymous favorites_lists to user accounts.
 *
 * Invoked on login.
 */
interface FavoritesAssignmentInterface {

  /**
   * Assigns the anonymous favorites to the given user account.
   *
   * @param \Drupal\commerce_favorites\Entity\FavoritesInterface $favorites
   *   The favorites favorites.
   * @param \Drupal\user\UserInterface $account
   *   The user account.
   */
  public function assign(FavoritesInterface $favorites, UserInterface $account);

  /**
   * Assigns multiple anonymous favorites_lists to the given user account.
   *
   * @param \Drupal\commerce_favorites\Entity\FavoritesInterface[] $favorites_lists
   *   The favorites_lists.
   * @param \Drupal\user\UserInterface $account
   *   The account.
   */
  public function assignMultiple(array $favorites_lists, UserInterface $account);

}
