<?php

namespace Drupal\commerce_favorites;

use Drupal\commerce\PurchasableEntityInterface;
use Drupal\Core\Entity\ContentEntityStorageInterface;

/**
 * Defines the interface for favorites item storage.
 */
interface FavoritesItemStorageInterface extends ContentEntityStorageInterface {

  /**
   * Constructs a new favorites item using the given purchasable entity.
   *
   * The new favorites item isn't saved.
   *
   * @param \Drupal\commerce\PurchasableEntityInterface $entity
   *   The purchasable entity.
   * @param array $values
   *   (optional) An array of values to set, keyed by property name.
   *
   * @return \Drupal\commerce_favorites\Entity\FavoritesItemInterface
   *   The created favorites item.
   */
  public function createFromPurchasableEntity(PurchasableEntityInterface $entity, array $values = []);

}
