<?php

namespace Drupal\commerce_favorites;

use Drupal\commerce\CommerceEntityViewsData;

/**
 * Provides views data for favorites items.
 */
class FavoritesItemViewsData extends CommerceEntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['commerce_favorites_item']['edit_quantity']['field'] = [
      'title' => t('Favorites quantity text field'),
      'help' => t('Adds a text field for editing the quantity.'),
      'id' => 'commerce_favorites_item_edit_quantity',
    ];

    $data['commerce_favorites_item']['remove_button']['field'] = [
      'title' => t('Remove button'),
      'help' => t('Adds a button for removing the favorites item.'),
      'id' => 'commerce_favorites_item_remove_button',
    ];

    $data['commerce_favorites_item']['move_to_cart']['field'] = [
      'title' => t('Move/copy to cart button'),
      'help' => t('Adds a button for moving or copying the favorites item to the shopping cart.'),
      'id' => 'commerce_favorites_item_move_to_cart',
    ];

    return $data;
  }

}
