<?php

namespace Drupal\commerce_favorites;

use Drupal\commerce\CommerceContentEntityStorage;
use Drupal\Core\Session\AccountInterface;

/**
 * Defines the favorites storage.
 */
class FavoritesStorage extends CommerceContentEntityStorage implements FavoritesStorageInterface {

  /**
   * {@inheritdoc}
   */
  public function loadByCode($code) {
    $favorites_lists = $this->loadByProperties(['code' => $code]);
    $favorites = reset($favorites_lists);

    return $favorites ?: NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function loadDefaultByUser(AccountInterface $account, $favorites_type_id) {
    $query = $this->getQuery();
    $query
      ->condition('uid', $account->id())
      ->condition('is_default', TRUE)
      ->condition('type', $favorites_type_id)
      ->sort('is_default', 'DESC')
      ->sort('favorites_id', 'DESC')
      ->range(0, 1)
      ->accessCheck(FALSE);
    $result = $query->execute();

    return $result ? $this->load(reset($result)) : NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function loadMultipleByUser(AccountInterface $account, $favorites_type_id) {
    $query = $this->getQuery();
    $query
      ->condition('uid', $account->id())
      ->condition('type', $favorites_type_id)
      ->sort('is_default', 'DESC')
      ->sort('favorites_id', 'DESC')
      ->accessCheck(FALSE);
    $result = $query->execute();

    return $result ? $this->loadMultiple($result) : [];
  }

}
