<?php

namespace Drupal\commerce_favorites\Mail;

use Drupal\commerce_favorites\Entity\FavoritesInterface;

/**
 * Defines the interface for the favorites share email.
 */
interface FavoritesShareMailInterface {

  /**
   * Sends the favorites share email to the given address.
   *
   * @param \Drupal\commerce_favorites\Entity\FavoritesInterface $favorites
   *   The favorites.
   * @param string $to
   *   The address the email will be sent to.
   *
   * @return bool
   *   TRUE if the email was sent successfully, FALSE otherwise.
   */
  public function send(FavoritesInterface $favorites, $to);

}
