<?php

namespace Drupal\commerce_favorites\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'commerce_favorites_item_table' formatter.
 *
 * @FieldFormatter(
 *   id = "commerce_favorites_item_table",
 *   label = @Translation("favorites item table"),
 *   field_types = {
 *     "entity_reference",
 *   },
 * )
 */
class FavoritesItemTable extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $favorites = $items->getEntity();
    return [
      '#type' => 'view',
      // @todo Allow the view to be configurable.
      '#name' => 'commerce_favorites_item_table',
      '#arguments' => [$favorites->id()],
      '#embed' => TRUE,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public static function isApplicable(FieldDefinitionInterface $field_definition) {
    $entity_type = $field_definition->getTargetEntityTypeId();
    $field_name = $field_definition->getName();
    return $entity_type == 'commerce_favorites' && $field_name == 'favorites_items';
  }

}
