<?php

namespace Drupal\commerce_favorites\Plugin\Field\FieldType;

use Drupal\commerce_favorites\FavoritesPurchase;
use Drupal\Core\Field\FieldItemList;

/**
 * Provides the item list class for the favorites purchase field type.
 */
class FavoritesPurchaseItemList extends FieldItemList implements FavoritesPurchaseItemListInterface {

  /**
   * {@inheritdoc}
   */
  public function getPurchases() {
    $purchases = [];
    /** @var \Drupal\commerce_favorites\Plugin\Field\FieldType\FavoritesPurchaseItem $field_item */
    foreach ($this->list as $key => $field_item) {
      if (!$field_item->isEmpty()) {
        $purchases[$key] = $field_item->toPurchase();
      }
    }
    return $purchases;
  }

  /**
   * {@inheritdoc}
   */
  public function removePurchase(FavoritesPurchase $purchase) {
    /** @var \Drupal\commerce_favorites\Plugin\Field\FieldType\FavoritesPurchaseItem $field_item */
    foreach ($this->list as $key => $field_item) {
      if ($purchase == $field_item->toPurchase()) {
        $this->removeItem($key);
      }
    }
  }

}
