<?php

namespace Drupal\commerce_favorites\Plugin\Field\FieldType;

use Drupal\commerce_favorites\FavoritesPurchase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Represents a list of favorites purchase field items.
 */
interface FavoritesPurchaseItemListInterface extends FieldItemListInterface {

  /**
   * Gets the purchase value objects from the field list.
   *
   * @return \Drupal\commerce_favorites\FavoritesPurchase[]
   *   The purchases.
   */
  public function getPurchases();

  /**
   * Removes the matching purchase.
   *
   * @param \Drupal\commerce_favorites\FavoritesPurchase $purchase
   *   The purchase.
   *
   * @return $this
   */
  public function removePurchase(FavoritesPurchase $purchase);

}
