<?php

namespace Drupal\Tests\commerce_favorites\Unit;

use Drupal\commerce_favorites\Cache\Context\FavoritesCacheContext;
use Drupal\commerce_favorites\FavoritesProviderInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Tests\Core\Render\TestCacheableDependency;
use Drupal\Tests\UnitTestCase;

/**
 * @coversDefaultClass \Drupal\commerce_favorites\Cache\Context\FavoritesCacheContext
 * @group commerce
 */
class FavoritesCacheContextTest extends UnitTestCase {

  /**
   * Tests commerce 'favorites' cache context.
   */
  public function testFavoritesCacheContext() {
    $account = $this->createMock(AccountInterface::class);
    $favoritesProvider = $this->createMock(FavoritesProviderInterface::class);
    $favoritesProvider->expects($this->once())->method('getFavoritesIds')->willReturn([
      '19',
      '12',
    ]);
    $favoritesProvider->expects($this->once())->method('getFavoritess')->willReturn([
      new TestCacheableDependency([], ['commerce_favorites:19'], 0),
      new TestCacheableDependency([], ['commerce_favorites:24'], 0),
    ]);

    $favoritesCache = new FavoritesCacheContext($account, $favoritesProvider);
    $this->assertEquals('19:12', $favoritesCache->getContext());
    $this->assertEquals(['commerce_favorites:19', 'commerce_favorites:24'], $favoritesCache->getCacheableMetadata()->getCacheTags());
  }

}
